Page MenuHomePhabricator

ExternalGuidance: Initial limited deployment
Closed, ResolvedPublic

Description

Since External Guidance functionality is exposed on external tools, we want to evaluate how those work on a realistic environment early. For that purpose, it may be useful to deploy the initial versions of the extension to support a language pair that (a) is exposed to a reduced number of users, and (b) is useful to prepare the next deployments.

Supporting translations from "Simple English" to "Indonesian" seem a good candidate for this deployment. Simple English results make it easy to visualize how English translations will work in the future,while being less visible in search engines.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd ExternalGuidance extension
mediawiki/core : wmf/1.33.0-wmf.16Add ExternalGuidance extension
mediawiki/tools/release : masterAdd ExternalGuidance extension
mediawiki/core : wmf/1.33.0-wmf.16Add ExternalGuidance extension

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2019, 1:01 PM
Pginer-WMF triaged this task as Medium priority.Jan 7 2019, 1:01 PM
Arrbee added a subscriber: Arrbee.Jan 7 2019, 1:47 PM
Pginer-WMF raised the priority of this task from Medium to High.Feb 8 2019, 12:36 PM

Change 489618 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/tools/release@master] WIP: Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/489618

Change 489623 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/core@wmf/1.33.0-wmf.16] WIP: Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/489623

Change 489627 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] WIP: Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/489627

Arrbee moved this task from Backlog to In Progress on the ExternalGuidance board.Feb 11 2019, 8:12 AM
KartikMistry renamed this task from Initial limited deployment to ExternalGuidance: Initial limited deployment.Feb 11 2019, 8:15 AM

Change 490111 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/core@wmf/1.33.0-wmf.16] Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/490111

Change 489623 abandoned by KartikMistry:
Add ExternalGuidance extension

Reason:
Updated with new Patch.

https://gerrit.wikimedia.org/r/489623

Change 489618 merged by jenkins-bot:
[mediawiki/tools/release@master] Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/489618

Change 490111 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.16] Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/490111

Change 489627 merged by jenkins-bot:
[operations/mediawiki-config@master] Add ExternalGuidance extension

https://gerrit.wikimedia.org/r/489627

Mentioned in SAL (#wikimedia-operations) [2019-02-13T00:47:36Z] <thcipriani@deploy1001> Started scap: SWAT: [[gerrit:489627|Add ExternalGuidance extension]] T213076 (part I: build l10n and sync code)

Mentioned in SAL (#wikimedia-operations) [2019-02-13T01:15:27Z] <thcipriani@deploy1001> Finished scap: SWAT: [[gerrit:489627|Add ExternalGuidance extension]] T213076 (part I: build l10n and sync code) (duration: 27m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-02-13T01:30:01Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:489627|Add ExternalGuidance extension]] T213076 (part 2) (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-02-13T01:31:52Z] <thcipriani@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:489627|Add ExternalGuidance extension]] T213076 (part 3) (duration: 00m 53s)

Pginer-WMF moved this task from In Progress to Done on the ExternalGuidance board.Feb 13 2019, 8:28 AM
Pginer-WMF closed this task as Resolved.Feb 14 2019, 10:22 AM

Initial deployment was completed. You can check examples for Simple English Wikipedia pages that are missing and pages that exist on Indonesian Wikipedia.